Entities
Set multiple values in one transaction
PUT
/
project
/
{projectId}
/
entities
/
values
/
batch
Set multiple values in one transaction
curl --request PUT \
--url https://backend.branch.flowengineering.com/project/{projectId}/entities/values/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'customer: <customer>' \
--data '
{
"updates": [
{
"entityId": "<string>",
"key": "<string>",
"value": {}
}
],
"branchId": "<string>"
}
'import requests
url = "https://backend.branch.flowengineering.com/project/{projectId}/entities/values/batch"
payload = {
"updates": [
{
"entityId": "<string>",
"key": "<string>",
"value": {}
}
],
"branchId": "<string>"
}
headers = {
"customer": "<customer>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
customer: '<customer>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
updates: [{entityId: '<string>', key: '<string>', value: {}}],
branchId: '<string>'
})
};
fetch('https://backend.branch.flowengineering.com/project/{projectId}/entities/values/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"formulaTemplates": {},
"formulas": {},
"id": "<string>",
"links": {
"crosslinks": [
"<string>"
],
"inbound": [
"<string>"
],
"inboundOrder": {},
"outbound": [
"<string>"
],
"inboundTypes": {},
"outboundOrder": {},
"outboundTypes": {},
"rootPlaced": true
},
"values": {},
"branchesChangedIn": [
"<string>"
],
"branchesCreatedIn": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"defaultSortKey": "<string>",
"deleted": true,
"type": "<string>",
"uniqueEntityNumber": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
]Authorizations
api-keybearer
Headers
Workspace identifier
Path Parameters
Body
application/json
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Set multiple values in one transaction
curl --request PUT \
--url https://backend.branch.flowengineering.com/project/{projectId}/entities/values/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'customer: <customer>' \
--data '
{
"updates": [
{
"entityId": "<string>",
"key": "<string>",
"value": {}
}
],
"branchId": "<string>"
}
'import requests
url = "https://backend.branch.flowengineering.com/project/{projectId}/entities/values/batch"
payload = {
"updates": [
{
"entityId": "<string>",
"key": "<string>",
"value": {}
}
],
"branchId": "<string>"
}
headers = {
"customer": "<customer>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
customer: '<customer>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
updates: [{entityId: '<string>', key: '<string>', value: {}}],
branchId: '<string>'
})
};
fetch('https://backend.branch.flowengineering.com/project/{projectId}/entities/values/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));[
{
"formulaTemplates": {},
"formulas": {},
"id": "<string>",
"links": {
"crosslinks": [
"<string>"
],
"inbound": [
"<string>"
],
"inboundOrder": {},
"outbound": [
"<string>"
],
"inboundTypes": {},
"outboundOrder": {},
"outboundTypes": {},
"rootPlaced": true
},
"values": {},
"branchesChangedIn": [
"<string>"
],
"branchesCreatedIn": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"defaultSortKey": "<string>",
"deleted": true,
"type": "<string>",
"uniqueEntityNumber": 123,
"updatedAt": "2023-11-07T05:31:56Z"
}
]